/* wrap.h     Simple custom wrappers for Slide24 example
 *
 * Copyright (c) 2011 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 */

/* An OCaml value wrapped up for access from ObjC.
 */
@interface WrapOCaml : NSObject {
}
@property (nonatomic, readonly) value contents;
@end

/* Wrapped version of Slide24ctlr.t
 */
@interface Slide24ctlr : WrapOCaml <UIApplicationDelegate>
{
}
@property (nonatomic, retain) IBOutlet UIWindow *window;
@property (nonatomic, retain) IBOutlet UIButton *shuffle;
@property (nonatomic, retain) IBOutlet UIButton *solve;
- (void) applicationDidFinishLaunching: (UIApplication *) anApplication;
- (void) applicationWillResignActive: (UIApplication *) anApplication;
- (void) applicationDidBecomeActive: (UIApplication *) anApplication;
- (IBAction) shuffle: (UIButton *) button;
- (IBAction) solve: (UIButton *) button;
- (void) runsolve;
@end
